/**
 * To use a Flag in the frontend, add it to the Flags type and the `defaultFlags` object below.
 */
export type Flags = {
    'release-search-experiences-in-help-hub': boolean;
    'release-search-experiences-in-spotlight': boolean;
    'support-ruby-on-rails': boolean;
    'release-disable-history-events': boolean;
    'show-history-events-missing-banner': '' | string;
    'release-themes-v2': boolean;
    'release-strikes-dashboard': boolean;
    'release-authed-zendesk-image-loading': boolean;
    'release-copilot-personalities': boolean;
    'release-analytics-v2': boolean;
    'enable-pendo-open-guide-action': boolean;
    'show-incident-banner': '' | string;
    'release-behavioral-targeting': boolean;
};
export declare const defaultFlags: Flags;
export declare const fetchFlags: (orgID: string) => Promise<Flags>;
