import * as t from 'io-ts';
export declare const HelpDocSyncLogMessageV: t.TypeC<{
    ts: t.StringC;
    type: t.StringC;
    message: t.ArrayC<t.StringC>;
}>;
export declare const HelpDocsSyncV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    integration: t.NumberC;
    scheduled: t.BooleanC;
}>, t.PartialC<{
    commands: t.ArrayC<t.NumberC>;
    started: t.UnionC<[t.StringC, t.NullC]>;
    ended: t.UnionC<[t.StringC, t.NullC]>;
    log: t.ArrayC<t.UnionC<[t.ArrayC<t.AnyC>, t.TypeC<{
        ts: t.StringC;
        type: t.StringC;
        message: t.ArrayC<t.StringC>;
    }>]>>;
}>]>;
export declare class HelpDocsSync {
    static create: (object: {
        id: number;
        integration: number;
        scheduled: boolean;
    } & {
        commands?: number[] | undefined;
        started?: string | null | undefined;
        ended?: string | null | undefined;
        log?: (any[] | {
            ts: string;
            type: string;
            message: string[];
        })[] | undefined;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        integration: number;
        scheduled: boolean;
    } & {
        commands?: number[] | undefined;
        started?: string | null | undefined;
        ended?: string | null | undefined;
        log?: (any[] | {
            ts: string;
            type: string;
            message: string[];
        })[] | undefined;
    }>;
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
        id: number;
        integration: number;
        scheduled: boolean;
    } & {
        commands?: number[] | undefined;
        started?: string | null | undefined;
        ended?: string | null | undefined;
        log?: (any[] | {
            ts: string;
            type: string;
            message: string[];
        })[] | undefined;
    })[]>;
}
