import * as t from 'io-ts';
export declare const CopilotPersonalityAdjectiveV: t.UnionC<[t.LiteralC<"abrasive">, t.LiteralC<"adventurous">, t.LiteralC<"affable">, t.LiteralC<"arrogant">, t.LiteralC<"assertive">, t.LiteralC<"assured">, t.LiteralC<"belligerent">, t.LiteralC<"brave">, t.LiteralC<"cheerful">, t.LiteralC<"compassionate">, t.LiteralC<"condescending">, t.LiteralC<"courteous">, t.LiteralC<"creative">, t.LiteralC<"cynical">, t.LiteralC<"decisive">, t.LiteralC<"detached">, t.LiteralC<"diligent">, t.LiteralC<"eloquent">, t.LiteralC<"empathetic">, t.LiteralC<"evasive">, t.LiteralC<"formal">, t.LiteralC<"frivolous">, t.LiteralC<"garrulous">, t.LiteralC<"generous">, t.LiteralC<"impulsive">, t.LiteralC<"innovative">, t.LiteralC<"intense">, t.LiteralC<"judgmental">, t.LiteralC<"jovial">, t.LiteralC<"manipulative">, t.LiteralC<"obstinate">, t.LiteralC<"optimistic">, t.LiteralC<"perceptive">, t.LiteralC<"pessimistic">, t.LiteralC<"quarrelsome">, t.LiteralC<"respectful">, t.LiteralC<"resourceful">, t.LiteralC<"sarcastic">, t.LiteralC<"sincere">, t.LiteralC<"sociable">, t.LiteralC<"solemn">, t.LiteralC<"supportive">, t.LiteralC<"tactful">, t.LiteralC<"thoughtful">, t.LiteralC<"understanding">, t.LiteralC<"unreliable">, t.LiteralC<"vain">, t.LiteralC<"vivacious">, t.LiteralC<"warm">, t.LiteralC<"withdrawn">, t.LiteralC<"witty">, t.LiteralC<"zealous">]>;
export declare const CopilotPersonalityResponseLengthV: t.UnionC<[t.LiteralC<"short">, t.LiteralC<"conversational">, t.LiteralC<"long">]>;
export declare const CopilotPersonalityResponseFormatV: t.UnionC<[t.LiteralC<"lists">, t.LiteralC<"paragraphs">, t.LiteralC<"mixed">]>;
export declare const CopilotPersonalityV: t.UnionC<[t.TypeC<{
    template: t.UnionC<[t.LiteralC<"professional">, t.LiteralC<"friendly">, t.LiteralC<"confident">, t.LiteralC<"serious">, t.LiteralC<"empathetic">]>;
}>, t.TypeC<{
    template: t.LiteralC<"custom">;
    adjectives: t.ArrayC<t.UnionC<[t.LiteralC<"abrasive">, t.LiteralC<"adventurous">, t.LiteralC<"affable">, t.LiteralC<"arrogant">, t.LiteralC<"assertive">, t.LiteralC<"assured">, t.LiteralC<"belligerent">, t.LiteralC<"brave">, t.LiteralC<"cheerful">, t.LiteralC<"compassionate">, t.LiteralC<"condescending">, t.LiteralC<"courteous">, t.LiteralC<"creative">, t.LiteralC<"cynical">, t.LiteralC<"decisive">, t.LiteralC<"detached">, t.LiteralC<"diligent">, t.LiteralC<"eloquent">, t.LiteralC<"empathetic">, t.LiteralC<"evasive">, t.LiteralC<"formal">, t.LiteralC<"frivolous">, t.LiteralC<"garrulous">, t.LiteralC<"generous">, t.LiteralC<"impulsive">, t.LiteralC<"innovative">, t.LiteralC<"intense">, t.LiteralC<"judgmental">, t.LiteralC<"jovial">, t.LiteralC<"manipulative">, t.LiteralC<"obstinate">, t.LiteralC<"optimistic">, t.LiteralC<"perceptive">, t.LiteralC<"pessimistic">, t.LiteralC<"quarrelsome">, t.LiteralC<"respectful">, t.LiteralC<"resourceful">, t.LiteralC<"sarcastic">, t.LiteralC<"sincere">, t.LiteralC<"sociable">, t.LiteralC<"solemn">, t.LiteralC<"supportive">, t.LiteralC<"tactful">, t.LiteralC<"thoughtful">, t.LiteralC<"understanding">, t.LiteralC<"unreliable">, t.LiteralC<"vain">, t.LiteralC<"vivacious">, t.LiteralC<"warm">, t.LiteralC<"withdrawn">, t.LiteralC<"witty">, t.LiteralC<"zealous">]>>;
    response_length: t.UnionC<[t.LiteralC<"short">, t.LiteralC<"conversational">, t.LiteralC<"long">]>;
    response_format: t.UnionC<[t.LiteralC<"lists">, t.LiteralC<"paragraphs">, t.LiteralC<"mixed">]>;
}>]>;
