import * as t from 'io-ts';
interface sortableObject {
    id: number | null | undefined;
    sort_key?: number | null | undefined;
}
export declare function compareObjs<T extends sortableObject>(a: T, b: T): number;
export declare const maybePluralize: (count: number, singular: string, plural?: string, includeNum?: boolean) => string;
export declare const defineProcess: () => void;
export declare function pick<P extends t.Props, K extends keyof P>(Model: t.TypeC<P>, keys: K[]): t.TypeC<Pick<P, K>>;
export declare function omit<P extends t.Props, K extends keyof P>(Model: t.TypeC<P>, keys: K[]): t.TypeC<Pick<P, Exclude<keyof P, K>>>;
export {};
