import type { INudgeType } from '../middleware/types';
export type TUpdateEditorRouteDetails = {
    type: 'nudge';
    nudge: INudgeType;
    stepIndex: number;
} | {
    type: 'checklist';
    checklistId: string | number;
} | {
    type: 'route';
    route_replacement: string;
    action?: string;
};
export declare function dispatchCustomEvent<T>(eventType: string, detail: T, canBubble?: boolean, cancelable?: boolean): CustomEvent<T>;
