import Launcher, { getControlKey } from 'commandbar-launcher';
import type { CommandBarClientSDK } from '@commandbar/internal/src/client/CommandBarClientSDK';

export { default as init } from './init';
export { initProxySDK as initProxy } from '@commandbar/internal/src/client/proxy';
export { snippet } from './snippet';
export { CommandBarClientSDK };
export { Launcher, getControlKey };

declare global {
  interface Window {
    CommandBar: CommandBarClientSDK;
  }
}
