import * as t from 'io-ts';
export declare const EntityChangeV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.StringC;
    description: t.StringC;
}>, t.PartialC<{
    changed_by: t.StringC;
    created: t.StringC;
}>]>;
export declare const listEntityChanges: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
    id: number;
    organization: string;
    description: string;
} & {
    changed_by?: string | undefined;
    created?: string | undefined;
})[]>;
