import * as t from 'io-ts';
export declare const ExperienceTemplateV: t.TypeC<{
    id: t.NumberC;
    type: t.UnionC<[t.LiteralC<"announcement">, t.LiteralC<"product_tour">, t.LiteralC<"survey">]>;
    data: t.RecordC<t.StringC, t.AnyC>;
}>;
export declare class ExperienceTemplate {
    static decode: (data: any) => {
        id: number;
        type: "announcement" | "product_tour" | "survey";
        data: {
            [x: string]: any;
        };
    };
    static create: (object: {
        id: number;
        type: "announcement" | "product_tour" | "survey";
        data: {
            [x: string]: any;
        };
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        type: "announcement" | "product_tour" | "survey";
        data: {
            [x: string]: any;
        };
    }>;
    static update: (object: {
        id: number;
        type: "announcement" | "product_tour" | "survey";
        data: {
            [x: string]: any;
        };
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        type: "announcement" | "product_tour" | "survey";
        data: {
            [x: string]: any;
        };
    }>;
    static delete: (id: string | number, params?: Record<string, string> | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        type: "announcement" | "product_tour" | "survey";
        data: {
            [x: string]: any;
        };
    }[]>;
    static read: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        id: number;
        type: "announcement" | "product_tour" | "survey";
        data: {
            [x: string]: any;
        };
    }>;
}
