export type PlatformType = 'mac' | 'ios' | 'windows' | 'android' | 'linux';
export type BrowserType = 'chrome' | 'firefox' | 'safari' | 'opera' | 'edge' | 'brave' | 'arc' | 'ie10' | 'ie11';
export type DeviceType = 'mobile' | 'desktop';
export declare const EDITOR_MOBILE_PREVIEW_SCREEN_HEIGHT = 932;
export declare const EDITOR_MOBILE_PREVIEW_SCREEN_WIDTH = 430;
export declare const isMobileDevice: () => boolean;
export declare const getDeviceType: () => DeviceType;
export declare const getBrowser: () => BrowserType | null;
export declare const getOperatingSystem: () => PlatformType;
export declare const getTriggerKey: (event: any) => any;
export declare const osControlKey: (suffix?: string) => string;
