import React from 'react';
import { Hub } from '@sentry/core';
export declare const SENTRY_COMMANDBAR_DSN = "https://ebf252b62885436e858a66d157aee9ea@o451734.ingest.sentry.io/5608348";
export declare const sentryHubFactory: (dsn: string) => Hub | undefined;
export declare const initSentryAndAddToSdk: () => void;
export declare const getSentry: () => Hub | undefined;
export declare const startSentryTransaction: (context: import("@sentry/types").TransactionContext, customSamplingContext?: import("@sentry/types").CustomSamplingContext | undefined) => import("@sentry/browser").Transaction | null | undefined;
interface Props {
    children: React.ReactNode;
}
interface State {
    hasError: boolean;
}
export declare class SentryErrorBoundary extends React.Component<Props, State> {
    constructor(props: Props);
    captureRejection: (ev: PromiseRejectionEvent) => void;
    static getDerivedStateFromError(_error: Error): {
        hasError: boolean;
    };
    componentDidCatch(error: Error, errorInfo: React.ErrorInfo): void;
    render(): React.ReactNode;
}
export {};
